#!/bin/bash
pidfile=/home/ubuntu/vq/aiq/release1/AlphaIQ/alphaiq.pid
now=$(date '+%F %T')
if [ -f ${pidfile} ]; then # is there already a  pid file?
  oldpid=$(cat ${pidfile})
  ps -p ${oldpid} &> /dev/null # is the process still running?
  if [ $? -ne 0 ]; then
   echo $now ",QBotServer2,ERROR,ClientProcessCheck,400-0001,AlphaIQ pid process not detected. Possible Crash"  >> "/home/ubuntu/vq/aiq/release1/AlphaIQ/alphaiq_live.log"
  else
    echo $now ",QBotServer2,INFO,ClientProcessCheck,200-0000,AlphaIQ pid process working normally"  >> "/home/ubuntu/vq/aiq/release1/AlphaIQ/alphaiq_live.log"
    exit 1
  fi
fi
